Bug 120007 - Crash when reading certain messages
Crash when reading certain messages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pan (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
:
: 107710 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-04 22:58 EDT by Confushion
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-07 22:32:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Confushion 2004-04-04 22:58:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.View a message with a malformed header
2.Enjoy segfault
    

Additional info:

Same message does NOT segfault under latest (0.14.2.91) version of
PAN.  Probably related to Pan bug #125051. 
http://bugzilla.gnome.org/show_bug.cgi?id=125051

Consider -- Is this a potential security issue, with a malformed
header allowing a stack or heap based attack?  Why NOT distributed the
latest version of Pan with Fedora Core 2?
Comment 1 joel jaeggli 2004-04-07 11:03:38 EDT
this is bug: 125051 in pan.

http://bugzilla.gnome.org/show_bug.cgi?id=125051

fixed in build 0.14.2.91, jan 24th 2004

would recomend applying the patch for gmime handling referenced in the
above buzilla or reving the pan package to 0.14.2.91 for release if
possible.
Comment 2 Jens Petersen 2004-04-14 06:32:20 EDT
> Why NOT distribute the latest version of Pan with Fedora Core 2?

Because 0.14.2.91 is not a stable release. :)

Comment 3 Jens Petersen 2004-04-14 08:39:17 EDT
Upstream patch add to 0.14.2-5.
Comment 4 Jens Petersen 2004-07-07 22:49:35 EDT
*** Bug 107710 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.